| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
mg_resolution.cpp File Reference

Calculate resolution estimates and Fourier shell statistics. More...

`#include "mg_resolution.h"`
`#include "img_resolution.h"`
`#include "ps_plot.h"`
`#include "rwimg.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | mg_determine_resolution (Bproject *project, Bstring &ref_file, Bstring &real_mask_file, Bstring &ft_mask_file, double resolution, double sampling_ratio, float *cutoff)
| Determines the resolution of particle images with respect to several reference maps. More...

## Variables
int | verbose

## Detailed Description

Calculate resolution estimates and Fourier shell statistics.

Author
  Bernard Heymann

Date
  Created: 20000612
  Modified: 20160313

Definition in file mg_resolution.cpp.

## Function Documentation

int mg_determine_resolution | ( | Bproject * | project,
|  | Bstring & | ref_file,
|  | Bstring & | real_mask_file,
|  | Bstring & | ft_mask_file,
|  | double | resolution,
|  | double | sampling_ratio,
|  | float * | cutoff
| ) |  |

Determines the resolution of particle images with respect to several reference maps.

Parameters

  *project | project parameters.
  &ref_file | reference map file name.
  &real_mask_file | real space mask file name.
  &ft_mask_file | reciprocal space mask file name.
  resolution | high resolution limit.
  sampling_ratio | spatial frequency sampling ratio.
  *cutoff | 4-value list of cutoff values.

Returns
  int 0.

Definition at line 30 of file mg_resolution.cpp.

## Variable Documentation

int verbose